uuagc-bootstrap

Safe Haskell | Safe-Infered

AbstractSyntaxDump

# Documentation

sem_Children :: Children -> T_Children

newtype T_Children

Constructors

T_Children (PP_Doc, [PP_Doc]) |

data Inh_Children

Constructors

Inh_Children |

data Syn_Children

Constructors

Syn_Children |

Fields

pp_Syn_Children :: PP_Doc
ppL_Syn_Children :: [PP_Doc]

wrap_Children :: T_Children -> Inh_Children -> Syn_Children

sem_Children_Cons :: T_Child -> T_Children -> T_Children

sem_Children_Nil :: T_Children

sem_Expression :: Expression -> T_Expression

newtype T_Expression

Constructors

T_Expression PP_Doc |

data Inh_Expression

Constructors

Inh_Expression |

data Syn_Expression

Constructors

Syn_Expression |

Fields

pp_Syn_Expression :: PP_Doc

wrap_Expression :: T_Expression -> Inh_Expression -> Syn_Expression

sem_Expression_Expression :: Pos -> [HsToken] -> T_Expression

sem_Grammar :: Grammar -> T_Grammar

newtype T_Grammar

Constructors

T_Grammar PP_Doc |

data Inh_Grammar

Constructors

Inh_Grammar |

data Syn_Grammar

Constructors

Syn_Grammar |

Fields

pp_Syn_Grammar :: PP_Doc

wrap_Grammar :: T_Grammar -> Inh_Grammar -> Syn_Grammar

sem_Grammar_Grammar :: TypeSyns -> UseMap -> Derivings -> Set NontermIdent -> T_Nonterminals -> PragmaMap -> AttrOrderMap -> ParamMap -> ContextMap -> QuantMap -> UniqueMap -> Map NontermIdent (Map ConstructorIdent (Map Identifier [Expression])) -> Map NontermIdent (Map ConstructorIdent (Map Identifier [Expression])) -> Map NontermIdent (Map ConstructorIdent (Map Identifier (Identifier, [Identifier], Expression))) -> T_Grammar

sem_Nonterminal :: Nonterminal -> T_Nonterminal

newtype T_Nonterminal

Constructors

T_Nonterminal PP_Doc |

data Inh_Nonterminal

Constructors

Inh_Nonterminal |

data Syn_Nonterminal

Constructors

Syn_Nonterminal |

Fields

pp_Syn_Nonterminal :: PP_Doc

wrap_Nonterminal :: T_Nonterminal -> Inh_Nonterminal -> Syn_Nonterminal

sem_Nonterminal_Nonterminal :: NontermIdent -> [Identifier] -> Attributes -> Attributes -> T_Productions -> T_Nonterminal

sem_Nonterminals :: Nonterminals -> T_Nonterminals

newtype T_Nonterminals

Constructors

T_Nonterminals (PP_Doc, [PP_Doc]) |

data Inh_Nonterminals

Constructors

Inh_Nonterminals |

data Syn_Nonterminals

Constructors

Syn_Nonterminals |

Fields

pp_Syn_Nonterminals :: PP_Doc
ppL_Syn_Nonterminals :: [PP_Doc]

wrap_Nonterminals :: T_Nonterminals -> Inh_Nonterminals -> Syn_Nonterminals

sem_Nonterminals_Cons :: T_Nonterminal -> T_Nonterminals -> T_Nonterminals

sem_Nonterminals_Nil :: T_Nonterminals

sem_Pattern :: Pattern -> T_Pattern

newtype T_Pattern

Constructors

T_Pattern (Pattern, PP_Doc) |

data Inh_Pattern

Constructors

Inh_Pattern |

data Syn_Pattern

Constructors

Syn_Pattern |

Fields

copy_Syn_Pattern :: Pattern
pp_Syn_Pattern :: PP_Doc

wrap_Pattern :: T_Pattern -> Inh_Pattern -> Syn_Pattern

sem_Pattern_Alias :: Identifier -> Identifier -> T_Pattern -> T_Pattern

sem_Pattern_Constr :: ConstructorIdent -> T_Patterns -> T_Pattern

sem_Pattern_Irrefutable :: T_Pattern -> T_Pattern

sem_Pattern_Product :: Pos -> T_Patterns -> T_Pattern

sem_Pattern_Underscore :: Pos -> T_Pattern

sem_Patterns :: Patterns -> T_Patterns

newtype T_Patterns

Constructors

T_Patterns (Patterns, PP_Doc, [PP_Doc]) |

data Inh_Patterns

Constructors

Inh_Patterns |

data Syn_Patterns

Constructors

Syn_Patterns |

Fields

copy_Syn_Patterns :: Patterns
pp_Syn_Patterns :: PP_Doc
ppL_Syn_Patterns :: [PP_Doc]

wrap_Patterns :: T_Patterns -> Inh_Patterns -> Syn_Patterns

sem_Patterns_Cons :: T_Pattern -> T_Patterns -> T_Patterns

sem_Patterns_Nil :: T_Patterns

sem_Production :: Production -> T_Production

newtype T_Production

Constructors

T_Production PP_Doc |

data Inh_Production

Constructors

Inh_Production |

data Syn_Production

Constructors

Syn_Production |

Fields

pp_Syn_Production :: PP_Doc

wrap_Production :: T_Production -> Inh_Production -> Syn_Production

sem_Production_Production :: ConstructorIdent -> [Identifier] -> [Type] -> T_Children -> T_Rules -> T_TypeSigs -> MaybeMacro -> T_Production

sem_Productions :: Productions -> T_Productions

newtype T_Productions

Constructors

T_Productions (PP_Doc, [PP_Doc]) |

data Inh_Productions

Constructors

Inh_Productions |

data Syn_Productions

Constructors

Syn_Productions |

Fields

pp_Syn_Productions :: PP_Doc
ppL_Syn_Productions :: [PP_Doc]

wrap_Productions :: T_Productions -> Inh_Productions -> Syn_Productions

sem_Productions_Cons :: T_Production -> T_Productions -> T_Productions

sem_Productions_Nil :: T_Productions

sem_Rule :: Rule -> T_Rule

newtype T_Rule

Constructors

T_Rule PP_Doc |

data Inh_Rule

Constructors

Inh_Rule |

data Syn_Rule

Constructors

Syn_Rule |

Fields

pp_Syn_Rule :: PP_Doc

wrap_Rule :: T_Rule -> Inh_Rule -> Syn_Rule

sem_Rule_Rule :: Maybe Identifier -> T_Pattern -> T_Expression -> Bool -> String -> Bool -> Bool -> Bool -> Maybe Error -> Bool -> T_Rule

sem_Rules :: Rules -> T_Rules

newtype T_Rules

Constructors

T_Rules (PP_Doc, [PP_Doc]) |

data Inh_Rules

Constructors

Inh_Rules |

data Syn_Rules

Constructors

Syn_Rules |

Fields

pp_Syn_Rules :: PP_Doc
ppL_Syn_Rules :: [PP_Doc]

wrap_Rules :: T_Rules -> Inh_Rules -> Syn_Rules

sem_Rules_Cons :: T_Rule -> T_Rules -> T_Rules

sem_Rules_Nil :: T_Rules

sem_TypeSig :: TypeSig -> T_TypeSig

newtype T_TypeSig

Constructors

T_TypeSig PP_Doc |

data Inh_TypeSig

Constructors

Inh_TypeSig |

data Syn_TypeSig

Constructors

Syn_TypeSig |

Fields

pp_Syn_TypeSig :: PP_Doc

wrap_TypeSig :: T_TypeSig -> Inh_TypeSig -> Syn_TypeSig

sem_TypeSig_TypeSig :: Identifier -> Type -> T_TypeSig

sem_TypeSigs :: TypeSigs -> T_TypeSigs

newtype T_TypeSigs

Constructors

T_TypeSigs (PP_Doc, [PP_Doc]) |

data Inh_TypeSigs

Constructors

Inh_TypeSigs |

data Syn_TypeSigs

Constructors

Syn_TypeSigs |

Fields

pp_Syn_TypeSigs :: PP_Doc
ppL_Syn_TypeSigs :: [PP_Doc]

wrap_TypeSigs :: T_TypeSigs -> Inh_TypeSigs -> Syn_TypeSigs

sem_TypeSigs_Cons :: T_TypeSig -> T_TypeSigs -> T_TypeSigs

sem_TypeSigs_Nil :: T_TypeSigs

sem_Child :: Child -> T_Child

newtype T_Child

Constructors

T_Child PP_Doc |

data Inh_Child

Constructors

Inh_Child |

data Syn_Child

Constructors

Syn_Child |

Fields

pp_Syn_Child :: PP_Doc

wrap_Child :: T_Child -> Inh_Child -> Syn_Child

sem_Child_Child :: Identifier -> Type -> ChildKind -> T_Child